%global short_name maven-plugins

Name:           %{short_name}-pom
Version:        28
Release:        %mkrel 2
Group:          Development/Java
Summary:        Maven Plugins POM
BuildArch:      noarch
License:        ASL 2.0
URL:            http://maven.apache.org/plugins/
Source:         http://repo.maven.apache.org/maven2/org/apache/maven/plugins/%{short_name}/%{version}/%{short_name}-%{version}-source-release.zip

BuildRequires:  maven-local
BuildRequires:  maven-parent >= 25
BuildRequires:  maven-site-plugin

%description
This package provides Maven Plugins parent POM used by different
Apache Maven plugins.

%prep
%setup -q -n %{short_name}-%{version}
# Enforcer plugin is used to ban plexus-component-api.
%pom_remove_plugin :maven-enforcer-plugin
# maven-scm-publish-plugin is not usable in Fedora.
%pom_remove_plugin :maven-scm-publish-plugin

%build
%mvn_build

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE



%changelog
* Tue Feb 23 2016 neoclust <neoclust> 28-2.mga6
+ Revision: 977309
- First rebuild of the java stack
- sync package maven-plugins-pom with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

  + zezinho <zezinho>
    - new version

* Wed Dec 31 2014 pterjan <pterjan> 25-1.mga5
+ Revision: 807767
- Sync with Fedora 21 (update to 25)

* Tue Dec 30 2014 daviddavid <daviddavid> 23-8.mga5
+ Revision: 807364
- build with xmvn
- add missing BuildRequires on maven-plugin-plugin
- provides missing mvn(org.apache.maven.plugins:maven-plugins)

  + umeabot <umeabot>
    - Second Mageia 5 Mass Rebuild
    - Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 23-5.mga4
+ Revision: 507778
- Mageia 4 Mass Rebuild

* Sat Jan 12 2013 umeabot <umeabot> 23-4.mga3
+ Revision: 359738
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 dmorgan <dmorgan> 23-3.mga3
+ Revision: 324046
- imported package maven-plugins-pom


* Thu Nov 15 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 23-3
- Add missing R: maven-enforcer-plugin

* Fri Nov  2 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 23-2
- Install license files

* Wed Oct 31 2012 Mikolaj Izdebski <mizdebsk@redhat.com> - 23-1
- Initial packaging
